mipdiag(8)

NAME
mipdiag - MIPL Mobile IPv6 diagnostics and configuration tool

SYNOPSIS
mipdiag [-acls?] [-M keymd5] [-S keysha1] [-h ipv6-address/prefix-length ] [-H ipv6-address/prefix-length ] [-d integer ] [-r access-control-rule ] [-R filename ] [-t boolean ]

DESCRIPTION
mipdiag is diagnostics and configuration tool for MIPL Mobile IPv6 kernel module. You can get statistics and state information with it and set runtime parameters.

OPTIONS

-a, --access
    Print current access control list

-c, --bcache
    Print binding cache entries

-l, --bulist
    Print binding update list entries

-s, --statistics
    Show general statistics

-?, --help
    Show usage information

-d, --debuglevel integer
    Set debug level to integer. Levels from 0 to 7 exist. Default: 0.

-h, --homeaddress ipv6-address/prefix-length
    Set mobile node's home address to ipv6-address.

-H, --homeagent ipv6-address/prefix-length
    Set mobile node's home agent address to ipv6-address.

-r, --rule acl-rule
    Set access control rule.

-R, --rulelist filename
    Read access control rules from filename.

-S filename
    Read security associations for authentication of Mobile IPv6 signaling from filename. If a filename is not given, mipdiag tries to read SAs from /etc/mipv6_sas.conf.

-t, --tunnel_sitelocal boolean
    Set option whether site-local packets to mobile node should be tunneled. Default: yes.

--showsa address
    Prints the security association(s) for the address to the console (or kernel log). If no address is specified prints all security associations.

--delsa address
    Deletes the security association(s) for the address.

EXAMPLES

BUGS
No known bugs.

FILES
@sysconfdir@/network-mip6.conf
    Mobile IPv6 main configuration file
@sysconfdir@/mipv6_acl.conf
    Mobile IPv6 Access control file for home agent
@sysconfdir@/mipv6_sas.conf
    The security associations for authentication of mipv6 signaling.

AUTHOR
Antti J Tuominen <ajtuomin@tml.hut.fi>

SEE ALSO
network-mip6.conf(5), mipv6_acl.conf(5), mipv6_sas.conf(5)